# The Parle\Token class

(PECL parle >= 0.5.2)

## Introducción

This class represents a token. Lexer returns instances of this class.

## Sinopsis de la Clase

class Parle\Token {
/* Constantes */
const int EOI = 0;
const int UNKNOWN = -1;
const int SKIP = -2;
/* Propiedades */
public int $id;
public string $value;
/* Métodos */
}

## Propiedades

id

  Token id.

value

  Token value.

## Constantes predefinidas

`Parle\Token::EOI`

  End of input token id.

`Parle\Token::UNKNOWN`

  Unknown token id.

`Parle\Token::SKIP`

  Skip token id.